import { app } from './app.ts';
import { UserServices } from './models/user.ts';
import { Org } from './models/org.ts';
import { useContextKey } from '@kevisual/use-config/context';
import { Sequelize } from 'sequelize';
import { Redis } from 'ioredis';
export const User = UserServices;
export { Org };

export const redis = useContextKey<Redis>('redis');
export const sequelize = useContextKey<Sequelize>('sequelize');
export const UserModel = useContextKey<typeof UserServices>('UserModel');
export const OrgModel = useContextKey<typeof Org>('OrgModel');
export { app };
